Package org.kapott.hbci.sepa.jaxb.camt_052_001_05

## Class YieldedOrValueType1Choice

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.camt_052_001_05.YieldedOrValueType1Choice

    public class YieldedOrValueType1Choice
    extends java.lang.Object

Java class for YieldedOrValueType1Choice complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="YieldedOrValueType1Choice">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <choice>
             <element name="Yldd" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.05}YesNoIndicator"/>
             <element name="ValTp" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.05}PriceValueType1Code"/>
           </choice>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected PriceValueType1Code` `valTp`
`protected java.lang.Boolean` `yldd`

### Constructor Summary

Constructors
`YieldedOrValueType1Choice()`

### Method Summary

All Methods Instance Methods Concrete Methods
`PriceValueType1Code` `getValTp()` Gets the value of the valTp property.
`java.lang.Boolean` `isYldd()` Gets the value of the yldd property.
`void` `setValTp​(PriceValueType1Code value)` Sets the value of the valTp property.
`void` `setYldd​(java.lang.Boolean value)` Sets the value of the yldd property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### yldd

    protected java.lang.Boolean yldd

#### valTp

    protected PriceValueType1Code valTp

### Constructor Detail

#### YieldedOrValueType1Choice

    public YieldedOrValueType1Choice()

### Method Detail

#### isYldd

    public java.lang.Boolean isYldd()

Gets the value of the yldd property.

Returns:
  possible object is `Boolean`

#### setYldd

    public void setYldd​(java.lang.Boolean value)

Sets the value of the yldd property.

Parameters:
  `value` - allowed object is `Boolean`

#### getValTp

    public PriceValueType1Code getValTp()

Gets the value of the valTp property.

Returns:
  possible object is `PriceValueType1Code`

#### setValTp

    public void setValTp​(PriceValueType1Code value)

Sets the value of the valTp property.

Parameters:
  `value` - allowed object is `PriceValueType1Code`